Loading...
Searching...
No Matches
Sip_proxy_authentication_info

## Macros

#define | sip_proxy_authentication_info(sip)
| Access a SIP Proxy-Authentication-Info header structure sip_proxy_authentication_info_t from sip_t.
#define | SIP_PROXY_AUTHENTICATION_INFO_INIT()
| Initializer for structure sip_proxy_authentication_info_t.
#define | SIPTAG_PROXY_AUTHENTICATION_INFO(x)
| Tag list item for pointer to a Proxy-Authentication-Info header structure sip_proxy_authentication_info_t.
#define | SIPTAG_PROXY_AUTHENTICATION_INFO_REF(x)
| Tag list item for reference to a Proxy-Authentication-Info header pointer.
#define | SIPTAG_PROXY_AUTHENTICATION_INFO_STR(s)
| Tag list item for string with Proxy-Authentication-Info header value.
#define | SIPTAG_PROXY_AUTHENTICATION_INFO_STR_REF(x)
| Tag list item for reference to a Proxy-Authentication-Info header string.

## Typedefs

typedef struct msg_auth_info_s | sip_proxy_authentication_info_t
| @

## Functions

issize_t | sip_proxy_authentication_info_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP Proxy-Authentication-Info header.
issize_t | sip_proxy_authentication_info_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP Proxy-Authentication-Info header.
sip_proxy_authentication_info_t * | sip_proxy_authentication_info_init (sip_proxy_authentication_info_t x[1])
| Initialize a structure sip_proxy_authentication_info_t.
int | sip_is_proxy_authentication_info (sip_header_t const *header)
| Test if header object is instance of sip_proxy_authentication_info_t.
sip_proxy_authentication_info_t * | sip_proxy_authentication_info_dup (su_home_t *home, sip_proxy_authentication_info_t const *hdr))
| Duplicate a list of Proxy-Authentication-Info header header structures sip_proxy_authentication_info_t.
sip_proxy_authentication_info_t * | sip_proxy_authentication_info_copy (su_home_t *home, sip_proxy_authentication_info_t const *hdr))
| Copy a list of Proxy-Authentication-Info header header structures sip_proxy_authentication_info_t.
sip_proxy_authentication_info_t * | sip_proxy_authentication_info_make (su_home_t *home, char const *s))
| Make a Proxy-Authentication-Info header structure sip_proxy_authentication_info_t.
sip_proxy_authentication_info_t * | sip_proxy_authentication_info_format (su_home_t *home, char const *fmt,...)))
| Make a Proxy-Authentication-Info header from formatting result.

## Variables

msg_hclass_t | sip_proxy_authentication_info_class []
| Header class for Proxy-Authentication-Info header.
tag_typedef_t | siptag_proxy_authentication_info
| Tag for Proxy-Authentication-Info header object.
tag_typedef_t | siptag_proxy_authentication_info_str
| Tag for string with Proxy-Authentication-Info header value.

## Detailed Description

## Macro Definition Documentation

## SIP_PROXY_AUTHENTICATION_INFO_INIT

#define SIP_PROXY_AUTHENTICATION_INFO_INIT | ( |  | ) |

Initializer for structure sip_proxy_authentication_info_t.

A static sip_proxy_authentication_info_t structure for Proxy-Authentication-Info header must be initialized with the SIP_PROXY_AUTHENTICATION_INFO_INIT() macro. For instance,

sip_proxy_authentication_info_t sip_proxy_authentication_info = SIP_PROXY_AUTHENTICATION_INFO_INIT;
sip_proxy_authentication_info
#define sip_proxy_authentication_info(sip)
Access a SIP Proxy-Authentication-Info header structure sip_proxy_authentication_info_t from sip_t.
Definition sip_protos.h:9651
sip_proxy_authentication_info_t
struct msg_auth_info_s sip_proxy_authentication_info_t
@
Definition sip.h:168
SIP_PROXY_AUTHENTICATION_INFO_INIT
#define SIP_PROXY_AUTHENTICATION_INFO_INIT()
Initializer for structure sip_proxy_authentication_info_t.
Definition sip_protos.h:9668

## SIPTAG_PROXY_AUTHENTICATION_INFO

#define SIPTAG_PROXY_AUTHENTICATION_INFO | ( |  | x | ) |

Tag list item for pointer to a Proxy-Authentication-Info header structure sip_proxy_authentication_info_t.

The SIPTAG_PROXY_AUTHENTICATION_INFO() macro is used to include a tag item with a pointer to a sip_proxy_authentication_info_t structure in a tag list.

Parameters

  x | pointer to a sip_proxy_authentication_info_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_PROXY_AUTHENTICATION_INFO_REF().

## SIPTAG_PROXY_AUTHENTICATION_INFO_STR

#define SIPTAG_PROXY_AUTHENTICATION_INFO_STR | ( |  | s | ) |

Tag list item for string with Proxy-Authentication-Info header value.

The SIPTAG_PROXY_AUTHENTICATION_INFO_STR() macro is used to include a tag item with a string containing value of a sip_proxy_authentication_info_t header in a tag list.

Parameters

  s | pointer to a string containing Proxy-Authentication-Info header value, or NULL.

The string in SIPTAG_PROXY_AUTHENTICATION_INFO_STR() can be converted to a sip_proxy_authentication_info_t header structure by giving the string s has second argument to function sip_proxy_authentication_info_make().

The corresponding tag taking reference parameter is SIPTAG_PROXY_AUTHENTICATION_INFO_STR_REF().

## Typedef Documentation

## sip_proxy_authentication_info_t

typedef struct msg_auth_info_s sip_proxy_authentication_info_t

@

The Proxy-Authentication-Info header contains either a next-nonce used by next request and/or authentication from proxy used in mutual authentication. The syntax of Proxy-Authentication-Info header is defined in RFC 2617 as follows:

Proxy-Authentication-Info = "Proxy-Authentication-Info" HCOLON ainfo
*(COMMA ainfo)
ainfo = nextnonce / message-qop
/ response-auth / cnonce
/ nonce-count
nextnonce = "nextnonce" EQUAL nonce-value
response-auth = "rspauth" EQUAL response-digest
response-digest = LDQUOT *LHEX RDQUOT

Note
  Proxy-Authentication-Info is not specified RFC 3261 and it is mentioned by RFC 2617 but in passage.

The parsed Proxy-Authentication-Info header is stored in sip_proxy_authentication_info_t structure.

The structure sip_proxy_authentication_info_t contains representation of SIP Proxy-Authentication-Info header.

The sip_proxy_authentication_info_t is defined as follows:

typedef struct msg_auth_info_s
{
msg_common_t ai_common[1]; // Common fragment info
msg_error_t *ai_next; // Dummy link to next header
msg_param_t *ai_items; // List of ainfo
} sip_proxy_authentication_info_t;
msg_error_t
struct msg_error_s msg_error_t
msg_common_t
struct msg_common_s msg_common_t
msg_auth_info_s
msg_auth_info_s::ai_common
msg_common_t ai_common[1]
msg_auth_info_s::ai_next
msg_error_t * ai_next

## Function Documentation

## sip_is_proxy_authentication_info()

int sip_is_proxy_authentication_info | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_proxy_authentication_info_t.

Check if the header class is an instance of Proxy-Authentication-Info header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header proxy_authentication_info
  0 | (false) otherwise

## sip_proxy_authentication_info_copy()

sip_proxy_authentication_info_t * sip_proxy_authentication_info_copy | ( | su_home_t * | home,
|  | sip_proxy_authentication_info_t const * | hdr )

inline

Copy a list of Proxy-Authentication-Info header header structures sip_proxy_authentication_info_t.

The function sip_proxy_authentication_info_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  proxy_authentication_info = sip_proxy_authentication_info_copy(home, sip->sip_proxy_authentication_info);
  sip_proxy_authentication_info_copy
  sip_proxy_authentication_info_t * sip_proxy_authentication_info_copy(su_home_t *home, sip_proxy_authentication_info_t const *hdr))
  Copy a list of Proxy-Authentication-Info header header structures sip_proxy_authentication_info_t.
  Definition sip_protos.h:9798

Returns
  A pointer to newly copied header structure, or NULL upon an error.

## sip_proxy_authentication_info_dup()

sip_proxy_authentication_info_t * sip_proxy_authentication_info_dup | ( | su_home_t * | home,
|  | sip_proxy_authentication_info_t const * | hdr )

inline

Duplicate a list of Proxy-Authentication-Info header header structures sip_proxy_authentication_info_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  proxy_authentication_info = sip_proxy_authentication_info_dup(home, sip->sip_proxy_authentication_info);
  sip_proxy_authentication_info_dup
  sip_proxy_authentication_info_t * sip_proxy_authentication_info_dup(su_home_t *home, sip_proxy_authentication_info_t const *hdr))
  Duplicate a list of Proxy-Authentication-Info header header structures sip_proxy_authentication_info_...
  Definition sip_protos.h:9755

Returns
  A pointer to the newly duplicated sip_proxy_authentication_info_t header structure, or NULL upon an error.

## sip_proxy_authentication_info_format()

sip_proxy_authentication_info_t * sip_proxy_authentication_info_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a Proxy-Authentication-Info header from formatting result.

Make a new sip_proxy_authentication_info_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_proxy_authentication_info_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

## sip_proxy_authentication_info_init()

sip_proxy_authentication_info_t * sip_proxy_authentication_info_init | ( | sip_proxy_authentication_info_t | x[1] | ) |

inline

Initialize a structure sip_proxy_authentication_info_t.

An sip_proxy_authentication_info_t structure for Proxy-Authentication-Info header can be initialized with the sip_proxy_authentication_info_init() function/macro. For instance,

sip_proxy_authentication_info_t sip_proxy_authentication_info;
sip_proxy_authentication_info_init(&sip_proxy_authentication_info);
sip_proxy_authentication_info_init
sip_proxy_authentication_info_t * sip_proxy_authentication_info_init(sip_proxy_authentication_info_t x[1])
Initialize a structure sip_proxy_authentication_info_t.
Definition sip_protos.h:9686

## sip_proxy_authentication_info_make()

sip_proxy_authentication_info_t * sip_proxy_authentication_info_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a Proxy-Authentication-Info header structure sip_proxy_authentication_info_t.

The function sip_proxy_authentication_info_make() makes a new sip_proxy_authentication_info_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_proxy_authentication_info_t header structure, or NULL upon an error.

## Variable Documentation

## sip_proxy_authentication_info_class

msg_hclass_t sip_proxy_authentication_info_class[]

extern

Header class for Proxy-Authentication-Info header.

The header class sip_proxy_authentication_info_class defines how a SIP Proxy-Authentication-Info header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_proxy_authentication_info_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.